Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Public Attributes | List of all members
peripheral::GatewaySensorManager::RemoteDevice Struct Reference

Specification of a remote device that provides access to sensors. More...

`import "GatewaySensorManager.idl";`

Inheritance diagram for peripheral::GatewaySensorManager::RemoteDevice:

## Public Attributes
string | deviceId
| remote device id
boolean | disabled
| prevents usage of all sensor specifications which reference this device
string | name
| human readable remote device name
int | timeoutMs
| communication access timeout, 0 = default
int | retry
| communication retry count, 0 = default

## Detailed Description

Specification of a remote device that provides access to sensors.

It contains all the information required to connect a remote device that provides access to sensors and actuators to be connected to one or more gateway sensors.

Before an instance of Sensor can be created, an instance of RemoteDevice must be present. The Sensor locates the corresponding RemoteDevice using the remote device id `deviceId`.

Definition at line 273 of file GatewaySensorManager.idl.

## Member Data Documentation

## ◆ deviceId

string peripheral::GatewaySensorManager::RemoteDevice::deviceId

remote device id

Definition at line 274 of file GatewaySensorManager.idl.

## ◆ disabled

boolean peripheral::GatewaySensorManager::RemoteDevice::disabled

prevents usage of all sensor specifications which reference this device

Definition at line 275 of file GatewaySensorManager.idl.

## ◆ name

string peripheral::GatewaySensorManager::RemoteDevice::name

human readable remote device name

Definition at line 276 of file GatewaySensorManager.idl.

## ◆ retry

int peripheral::GatewaySensorManager::RemoteDevice::retry

communication retry count, 0 = default

Definition at line 278 of file GatewaySensorManager.idl.

## ◆ timeoutMs

int peripheral::GatewaySensorManager::RemoteDevice::timeoutMs

communication access timeout, 0 = default

Definition at line 277 of file GatewaySensorManager.idl.

The documentation for this struct was generated from the following file:

- GatewaySensorManager.idl